﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace ProgressBarAdv
{
    public partial class Form1 : MetroForm
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();

            //To display percentage value in ProgressBarAdv
            this.progressBarAdv1.TextStyle = Syncfusion.Windows.Forms.Tools.ProgressBarTextStyles.Percentage;

            //To set style for ProgressBarAdv
            this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Tube;
            //To set TubeEnd Color
            this.progressBarAdv1.TubeEndColor = System.Drawing.Color.FromArgb(((int)(((byte)(127)))), ((int)(((byte)(146)))), ((int)(((byte)(242)))));
            //To set TubeStart color
            this.progressBarAdv1.TubeStartColor = System.Drawing.Color.Lime;
        }
        #endregion

        #region Events
        private void Form1_Load(object sender, EventArgs e)
        {
            this.timer1.Tick += new EventHandler(timer1_Tick);
            this.timer1.Enabled = true;
        }

        void timer1_Tick(object sender, EventArgs e)
        {
            //To increate the Value of the Timer
            this.progressBarAdv1.Value += 1;
            if (this.progressBarAdv1.Value == 100)
            {
                this.timer1.Stop();
                this.progressBarAdv1.Value = 0;
                MessageBox.Show("100% reached");               
            }
        }

        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            //To start the Timer
            this.timer1.Enabled = true;
        }

        private void buttonAdv2_Click(object sender, EventArgs e)
        {
            //To stop the Timer
            this.timer1.Stop();
        }

        #endregion         
    }
}
